net.minecraft.entity.ai

## Class EntityAIBase

- java.lang.Object
- - net.minecraft.entity.ai.EntityAIBase

- Direct Known Subclasses:
    EntityAIArrowAttack, EntityAIAttackOnCollide, EntityAIAvoidEntity, EntityAIBeg, EntityAIControlledByPlayer, EntityAICreeperSwell, EntityAIDoorInteract, EntityAIEatGrass, EntityAIFleeSun, EntityAIFollowGolem, EntityAIFollowOwner, EntityAIFollowParent, EntityAILeapAtTarget, EntityAILookAtVillager, EntityAILookIdle, EntityAIMate, EntityAIMoveIndoors, EntityAIMoveThroughVillage, EntityAIMoveTowardsRestriction, EntityAIMoveTowardsTarget, EntityAIOcelotAttack, EntityAIOcelotSit, EntityAIPanic, EntityAIPlay, EntityAIRestrictOpenDoor, EntityAIRestrictSun, EntityAIRunAroundLikeCrazy, EntityAISit, EntityAISwimming, EntityAITarget, EntityAITempt, EntityAITradePlayer, EntityAIVillagerMate, EntityAIWander, EntityAIWatchClosest

      public abstract class EntityAIBase
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityAIBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `continueExecuting()`
    `int` | `getMutexBits()`
    `boolean` | `isInterruptible()`
    `void` | `resetTask()`
    `void` | `setMutexBits(int par1)`
    `abstract boolean` | `shouldExecute()`
    `void` | `startExecuting()`
    `void` | `updateTask()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityAIBase

          public EntityAIBase()

  - ### Method Detail

    - #### shouldExecute

          public abstract boolean shouldExecute()

    - #### continueExecuting

          public boolean continueExecuting()

    - #### isInterruptible

          public boolean isInterruptible()

    - #### startExecuting

          public void startExecuting()

    - #### resetTask

          public void resetTask()

    - #### updateTask

          public void updateTask()

    - #### setMutexBits

          public void setMutexBits(int par1)

    - #### getMutexBits

          public int getMutexBits()